setup.py: Add `download_url`
[cookiecutter.git] / project_template / setup.py
1 #!/usr/bin/env python
2
3 from imp import load_source
4 from os.path import abspath, dirname, join
5 from setuptools import setup
6
7 versionpath = join(abspath(dirname(__file__)), '{project}', '__version__.py')
8 {project}_version = load_source('{project}_version', versionpath)
9
10 setup(name='{project}',
11       version={project}_version.__version__,
12       description='Broytman {project}',
13       long_description=open('README.rst', 'rU').read(),
14       author='Oleg Broytman',
15       author_email='phd@phdru.name',
16       url='http://phdru.name/Software/Python/{project}',
17       download_url='http://phdru.name/Software/Python/{project}',
18       project_urls={
19           'Homepage': 'http://phdru.name/Software/Python/{project}',
20           'Documentation':
21               'http://phdru.name/Software/Python/{project}/docs/',
22           'Russian docs':
23               'http://phdru.name/Software/Python/{project}/docs/ru/',
24           'Download': 'http://phdru.name/Software/Python/{project}',
25           'Git repo': 'http://git.phdru.name/{project}.git/',
26           'Github repo': 'https://github.com/phdru/{project}',
27           'Issue tracker': 'https://github.com/phdru/{project}/issues',
28       },
29       license='GPL',
30       keywords=[''],
31       platforms='Any',
32       classifiers=[
33           'Development Status :: 1 - Planning',
34           'Environment :: Console',
35           'Environment :: Web Environment',
36           'Intended Audience :: End Users/Desktop',
37           'License :: OSI Approved :: GNU General Public License (GPL)',
38           'Operating System :: OS Independent',
39           'Programming Language :: Python :: 2',
40           'Programming Language :: Python :: 2.7',
41           'Programming Language :: Python :: 3',
42           'Programming Language :: Python :: 3.3',
43           'Programming Language :: Python :: 3.4',
44           'Programming Language :: Python :: 3.5',
45           'Programming Language :: Python :: 3.6',
46       ],
47       packages=['{project}'],
48       package_data={'{project}': []},
49       scripts=[],
50       python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*',
51       requires=[],
52       )